[问题]装Vista后,Ubuntu不能启动了,能用光盘修复么?(已经解决,见4楼)

为当前最终发行版之前的所有版本提供支持
回复
whiteskin
帖子: 8
注册时间: 2007-01-07 18:17
送出感谢: 0
接收感谢: 0

[问题]装Vista后,Ubuntu不能启动了,能用光盘修复么?(已经解决,见4楼)

#1

帖子 whiteskin » 2007-03-04 16:21

搜到一些帖子说是装Vista前先要做一个ubuntu的引导镜像,可惜我没做,不知道还有希望修复么?
请指点,谢谢
上次由 whiteskin 在 2007-03-04 17:11,总共编辑 1 次。
头像
skyx
论坛版主
帖子: 9203
注册时间: 2006-12-23 13:46
来自: Azores Islands
送出感谢: 0
接收感谢: 1 次
联系:

#2

帖子 skyx » 2007-03-04 16:30

我知道的:ubuntu和vista共存的方法是先安装ubuntu ,接着让ntloader引导ubuntu,再安装vista.

这样在vista启动菜单中会自动加上ubuntu选项。
no security measure is worth anything if an attacker has physical access to the machine
头像
skyx
论坛版主
帖子: 9203
注册时间: 2006-12-23 13:46
来自: Azores Islands
送出感谢: 0
接收感谢: 1 次
联系:

#3

帖子 skyx » 2007-03-04 16:35

1.先备份当前的mbr,


2.再重装grub到ubuntu所在分区,装完后备份grub所在分区的前512


3.把1中备份的mbr导入,再研究下vista 的引导选项,看是否可以像ntloader一样把ubuntu的启动选项加进去。
no security measure is worth anything if an attacker has physical access to the machine
whiteskin
帖子: 8
注册时间: 2007-01-07 18:17
送出感谢: 0
接收感谢: 0

[问题]装Vista后,Ubuntu不能启动了,能用光盘修复么?(已经解决)

#4

帖子 whiteskin » 2007-03-04 17:10

mengnan的方法
viewtopic.php?t=42983

用 liveCD 启动,进入终端,
输入
sudo su
grub
grub>root (hd0,x) // x表示原来的 linux系统所在硬盘扇区 ,我装在第三个分区,就是root (hd0,2)
grub>setup (hd0)

重启动,ubuntu启动菜单出来了,原来的XP,Vista也能正常启动了
头像
skyx
论坛版主
帖子: 9203
注册时间: 2006-12-23 13:46
来自: Azores Islands
送出感谢: 0
接收感谢: 1 次
联系:

Re: [问题]装Vista后,Ubuntu不能启动了,能用光盘修复么?(已经解决)

#5

帖子 skyx » 2007-03-04 17:32

whiteskin 写了:mengnan的方法
viewtopic.php?t=42983

用 liveCD 启动,进入终端,
输入
sudo su
grub
grub>root (hd0,x) // x表示原来的 linux系统所在硬盘扇区 ,我装在第三个分区,就是root (hd0,2)
grub>setup (hd0)

重启动,ubuntu启动菜单出来了,原来的XP,Vista也能正常启动了
重装grub把vista也能搞出来?
no security measure is worth anything if an attacker has physical access to the machine
whiteskin
帖子: 8
注册时间: 2007-01-07 18:17
送出感谢: 0
接收感谢: 0

#6

帖子 whiteskin » 2007-03-04 18:12

我也很奇怪,先出的ubuntu启动菜单,然后是vista菜单,然后是XP的多重菜单
zhang965
帖子: 20
注册时间: 2007-03-04 15:58
送出感谢: 0
接收感谢: 0

#7

帖子 zhang965 » 2007-03-04 18:46

我想装2系统xp和linux....
zhang965
帖子: 20
注册时间: 2007-03-04 15:58
送出感谢: 0
接收感谢: 0

#8

帖子 zhang965 » 2007-03-04 18:46

我想装双系统
xp和linux....
装起来不会有冲突吧?
头像
SuperWar3Fan
帖子: 1263
注册时间: 2006-05-20 6:25
来自: 山东淄博
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 SuperWar3Fan » 2007-03-04 22:37

当然可以。
回复

回到 “老旧版本支持”